//
//  SimpleOLED - hello_world
//  Created by Stefan Trippler on 2021-02-28.
//
//  This example initializes the display and shows the text "Hello, World!".
//  The OLED SSD1306 must be connected via I2C (aka TwoWire, TWI or simply Wire).
//
//  Connect Pins:
//
//     Arduino    Display
//     -------    -------
//         +5V -> VCC
//         GND -> GND
//         SDA -> SDA
//         SCL -> SCL
//

#include "display_OLED_SSD1306.h"


#define DISPLAY_I2C_ADDR 0x3C
#define DISPLAY_WIDTH     128
#define DISPLAY_HEIGHT     32

display Display(DISPLAY_I2C_ADDR, DISPLAY_WIDTH, DISPLAY_HEIGHT);


void setup() {
  // put your setup code here, to run once:
  Display.init();
  Display.print("Hello, World!");
}


void loop() {
  // put your main code here, to run repeatedly:

}
